enumerations

## Enum EncryptionMethod

- java.lang.Object
- - java.lang.Enum<EncryptionMethod>
  - - enumerations.EncryptionMethod

- All Implemented Interfaces:
    EnumBase, java.io.Serializable, java.lang.Comparable<EncryptionMethod>

      public enum EncryptionMethod
      extends java.lang.Enum<EncryptionMethod>
      implements EnumBase

  Encryption types used in Wireless M-Bus, their hexadecimal representations, meanings, key lengths and IV lengths.
  Author:
    David Hudec (dwdization@gmail.com)

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `AES_CBC`
    `AES_CBC_IV`
    `DES_CBC`
    `DES_CBC_IV`
    `None`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private int` | `hexCode`
    `private int` | `ivLength`
    `private int` | `keyLength`
    `private java.lang.String` | `niceName`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getHexCode()`
    `int` | `getIvLength()`
    `int` | `getKeyLength()`
    `java.lang.String` | `getNiceName()`
    `java.lang.String` | `toString()`
    `static EncryptionMethod` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static EncryptionMethod[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface core.EnumBase

      `ordinal`

- - ### Enum Constant Detail

    - #### AES_CBC

          public static final EncryptionMethod AES_CBC

    - #### AES_CBC_IV

          public static final EncryptionMethod AES_CBC_IV

    - #### DES_CBC

          public static final EncryptionMethod DES_CBC

    - #### DES_CBC_IV

          public static final EncryptionMethod DES_CBC_IV

    - #### None

          public static final EncryptionMethod None

  - ### Field Detail

    - #### hexCode

          private int hexCode

    - #### ivLength

          private int ivLength

    - #### keyLength

          private int keyLength

    - #### niceName

          private java.lang.String niceName

  - ### Method Detail

    - #### getHexCode

          public int getHexCode()

    - #### getIvLength

          public int getIvLength()

    - #### getKeyLength

          public int getKeyLength()

    - #### getNiceName

          public java.lang.String getNiceName()

      Specified by:
        `getNiceName` in interface `EnumBase`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Enum<EncryptionMethod>`

    - #### valueOf

          public static EncryptionMethod valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### values

          public static EncryptionMethod[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (EncryptionMethod c : EncryptionMethod.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared